@font-face {
    font-family: "jsMathBold";
    src: url("/fonts/jsMath-cmr10.ttf");
    font-style: normal;
}

@font-face {
    font-family: "pt sans";
    src: url("/fonts/PTSans-Bold.ttf");
}

@font-face {
    font-family: "lato";
    src: url("/fonts/Lato-Black.ttf");
}

@font-face {
    font-family: "source sans";
    src: url("/fonts/SourceSans3-VariableFont_wght.ttf");
}

body {
    margin: 0;
    overflow-x: hidden;
}

.main-section {
    max-width: 100vw !important;
    overflow: hidden !important;
}
@media screen and (min-width: 0px) and (max-width: 1000px) {
    body {
        font-size: xx-large !important;
    }
    .bottom-section-bleed {
        display: none;
    }
    .navbar-brand {
        font-size: 120% !important;
    }
    header {
        border: 0 !important;
    }
    .navbar-toggler {
        border: 0 !important;
        color: white !important;
    }
    .navbar {
        min-height: 6vh;
    }
    .navbar-toggler-icon {
        width: 3.5rem !important;
        height: 3.5rem !important;
    }

    .navbar-nav .nav-item {
        margin-bottom: 10px;
    }

    footer {
        padding-inline: 25px !important;
    }
    footer .h3 {
        padding-top: 20px;
    }
    footer .h3 a {
        font-size: 160%;
        font-weight: bold;
    }
    .footer-left {
        margin-bottom: 50px;
    }
    .footer-right img {
        width: 9% !important;
    }
    .footer-right a .py-3 {
        font-size: 120%;
    }
    .footer-right .socials {
        width: 50%;
        margin-bottom: 30px;
    }
    .footer-right .socials svg {
        width: 75%;
        height: 120% !important;
    }
}

.container {
    width: 100%;
    max-width: 1440px;
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
}

.dark-background {
    background-color: #2b2e3d !important;
}

header {
    position: sticky;
    top: 0;
    display: flex;
    justify-content: center;
    padding: 1rem 2rem;
    z-index: 9999;
    border-bottom: 1px solid grey;
}

.main-nav {
    display: flex;
    justify-content: center;
    /* color: white; */
}

/* .nav-items span {
    padding: 1rem 3rem;

} */

html {
    scroll-behavior: smooth;
}

.nav-items a {
    /* color: white; */
    text-decoration: none;
}

#navbarSupportedContent {
    text-align: center;
}

.main-nav > .nav-items {
    padding: 0em 0em;
    margin: 0 1em;
    font-family: Arial, Helvetica, sans-serif;
}

/* HOME SECTION STYLES */
@media screen and (min-width: 0px) and (max-width: 1000px) {
    #home {
        min-height: 73vh !important;
    }
}
#home {
    color: white;
    min-height: 100vh;
    background-color: white;
}

/* HEADER COLOR TRANSITION */
#main-header {
    transition: background 0.5s ease;
}

.nav-anchor {
    transition: color 0.5s ease;
}

a.nav-anchor {
    text-decoration: none;
    color: white;
}

/* HEADER STYLES */
.white-background {
    background: white;
}

.active {
    color: #1395ff !important;
}

.black-color {
    color: black !important;
}

.white-color {
    color: white !important;
}

.bg-red {
    background-color: red;
}

@media screen and (min-width: 0px) and (max-width: 1000px) {
    .register-btn {
        font-size: 100% !important;
    }
    #navbarSupportedContent {
        padding-bottom: 50px !important;
    }
}

.register-btn {
    border: 1px solid #5584ff;
    display: inline-block;
    padding: 8px 16px;
    vertical-align: middle;
    overflow: hidden;
    text-decoration: none;
    color: white;
    text-align: center;
    cursor: pointer;
    white-space: nowrap;
    border-radius: 40px !important;
    transition: background-color 0.3s, color 0.3s, border 0.3s;
}

.register-btn:hover {
    background-color: #5584ff !important;
    color: #ffff !important;
    border: 1px solid #5584ff;
}

.register-btn:active {
    background-color: #2b2e3d;
    color: #fff;
    border: 1px solid #5584ff;
}

.navbar-brand {
    font-size: 1.7em;
    font-family: "jsMathBold" !important;
    font-weight: bold;
}

@media screen and (min-width: 0px) and (max-width: 1000px) {
    .feature-container {
        display: block !important;
        margin-block: 10px !important;
        width: 100vw !important;
    }
    .feature-container > .left,
    .feature-container > .right {
        margin-block: 10px;
    }
    .feature-container > .right {
        margin-bottom: 100px;
    }
    .feature-image {
        width: fit-content !important;
    }
    .feature-left {
        /* order: -1; */
        transform: translateX(0);
        margin-bottom: 30px;
    }

    .feature-right {
        /* order: 1; */
        transform: translateX(0);
        margin-top: 30px;
        align-items: baseline !important;
    }
    .feature {
        width: 100%;
        opacity: 1 !important;
        padding-inline: 3rem;
    }

    .feature-heading {
        max-width: 90vw;
        margin-bottom: 20px;
    }

    .feature-heading div {
        font-size: 160% !important;
        color: black !important;
    }
    .feature-line-left {
        width: 13% !important;
        height: 2px;
        background: black;
        position: absolute;
        left: 0;
        top: 30% !important;
    }
    .feature-line-right {
        width: 13% !important;
        height: 2px;
        background: black;
        position: absolute;
        right: 0;
        top: 30% !important;
    }

    .feature h3 {
        display: flex;
        flex-direction: column-reverse;
        align-items: flex-end;
        font-size: 3rem;
    }

    .feature-right h3 {
        align-items: baseline !important;
    }

    .feature-left svg,
    .feature-right svg {
        margin-bottom: 30px;
        width: 10%;
        height: 40%;
    }
    .feature-image {
        width: 70% !important;
        align-items: center;
        margin-left: auto;
        margin-right: auto;
        margin-block: 100px;
    }
    /* #features_img {
        scale: 70%;
    } */
}

#features {
    position: relative;
    overflow: hidden;
    min-height: 101vh;
}

.feature-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
}

.feature {
    width: 100%;
    opacity: 0;
    transition: opacity 0.5s, transform 0.5s;
    padding-inline: 3rem;
}

.feature-line-left {
    width: 25%;
    height: 2px;
    background: black;
    position: absolute;
    left: 0;
    top: 50%;
}
.feature-line-right {
    width: 25%;
    height: 2px;
    background: black;
    position: absolute;
    right: 0;
    top: 50%;
}

.feature-image {
    width: 45%;
    /* Tall image styling */
}

#features_img {
    width: 100%;
    object-fit: cover;
}

.feature-left {
    /* order: -1; */
    transform: translateX(-100%);
}

.feature-right {
    /* order: 1; */
    transform: translateX(100%);
}

.active-feature {
    opacity: 1;
    transform: translateX(0);
}

@media screen and (min-width: 1000px) {
    #how_it_works > div > .heading {
        max-width: 40vw;
    }
    #how_it_works .heading .blue-line {
        margin-block: 40px;
        width: 100px;
        height: 2px;
        background: #0068a3;
    }

    #how_it_works .heading .text-center {
        font-size: 90%;
        color: #5a5a5a !important;
    }

    .right-image {
        min-height: 0;
    }
    .left-top {
        grid-area: lt;
        max-width: 40vw;
        color: #5a5a5a;
    }
    .leftbullet-1 {
        grid-area: lb-1;
        max-width: 40vw;
    }
    .leftbullet-2 {
        grid-area: lb-2;
        max-width: 40vw;
    }
    .leftbullet-3 {
        grid-area: lb-3;
        max-width: 40vw;
    }
    .right-image {
        grid-area: rt;
        height: 100%;
    }

    .how-body {
        display: grid;
        grid-template-areas:
            "lt rt rt"
            "lb-1 rt rt"
            "lb-2 rt rt"
            "lb-3 rt rt";
        gap: 80px;
        padding: 10px;
        max-width: 100vw;
    }
    .right-image .small-circle {
        position: absolute;
        left: -44%;
        width: 409px;
        height: 409px;
        flex-shrink: 0;
        border-radius: 409px;
        border: 1.5px dashed #5a5a5a;
    }
    .right-image .big-circle {
        position: absolute;
        left: -55%;
        width: 500px;
        height: 500px;
        flex-shrink: 0;
        border-radius: 500px;
        border: 1.5px dashed #5a5a5a;
    }

    .how_img {
        position: absolute;
        right: -75%; /* Start off-screen to the right */
        top: 30%; /* Adjust as needed based on your layout */
        z-index: 100;
        opacity: 0;
        transition: opacity 0.5s, transform 0.5s;
    }

    .how_img img {
        width: 20vw;
        height: auto;
        object-fit: cover;
        border: 4px solid black;
        border-radius: 8px;
    }

    /* Add the following class for animation */
    .active-how {
        opacity: 1;
        transform: translate(-50%, 0);
    }
}

@media screen and (min-width: 1001px) and (max-width: 1400px) {
    #how_it_works > div > .heading {
        max-width: 40vw;
    }
    #how_it_works .heading .blue-line {
        margin-block: 40px;
        width: 100px;
        height: 2px;
        background: #0068a3;
    }

    #how_it_works .heading .text-center {
        font-size: 90%;
        color: #5a5a5a !important;
    }

    .right-image {
        min-height: 0;
    }
    .left-top {
        grid-area: lt;
        max-width: 40vw;
        color: #5a5a5a;
    }
    .leftbullet-1 {
        grid-area: lb-1;
        max-width: 40vw;
    }
    .leftbullet-2 {
        grid-area: lb-2;
        max-width: 40vw;
    }
    .leftbullet-3 {
        grid-area: lb-3;
        max-width: 40vw;
    }
    .right-image {
        grid-area: rt;
        height: 100%;
    }

    .how-body {
        display: grid;
        grid-template-areas:
            "lt rt rt"
            "lb-1 rt rt"
            "lb-2 rt rt"
            "lb-3 rt rt";
        gap: 80px;
        padding: 10px;
        max-width: 100vw;
    }
    .right-image .small-circle {
        position: absolute;
        left: -42%;
        top: -4%;
        width: 409px;
        height: 409px;
        flex-shrink: 0;
        border-radius: 409px;
        border: 1.5px dashed #5a5a5a;
    }
    .right-image .big-circle {
        position: absolute;
        left: -55%;
        top: -12%;
        width: 500px;
        height: 500px;
        flex-shrink: 0;
        border-radius: 500px;
        border: 1.5px dashed #5a5a5a;
    }

    .how_img {
        position: absolute;
        right: -40%; /* Start off-screen to the right */
        top: 23%; /* Adjust as needed based on your layout */
        z-index: 100;
        opacity: 0;
        transition: opacity 0.5s, transform 0.5s;
    }

    .how_img img {
        width: 20vw;
        height: auto;
        object-fit: cover;
        border: 4px solid black;
        border-radius: 8px;
    }

    /* Add the following class for animation */
    .active-how {
        opacity: 1;
        transform: translate(-50%, 0);
    }
}

@media screen and (min-width: 0px) and (max-width: 1000px) {
    #how_it_works .heading {
        padding-inline: 70px !important;
    }
    #how_it_works .heading .h1 {
        font-size: 3rem;
    }
    #how_it_works .heading .text-center {
        font-size: 100%;
        color: #5a5a5a !important;
    }
    #how_it_works .heading .blue-line {
        margin-block: 40px;
        width: 250px !important;
        height: 3px !important;
        background: #0068a3;
    }
    #how_it_works .leftbullet-1 .h-1 {
        font-size: 150% !important;
        padding-bottom: 20px;
    }
    #how_it_works .leftbullet-2 {
        padding-top: 20px !important;
    }
    #how_it_works .leftbullet-3 {
        padding-top: 10px !important;
    }
    #how_it_works .leftbullet-1 svg {
        width: 10%;
        height: 30%;
    }
    #how_it_works .leftbullet-2 svg {
        width: 10%;
        height: 40%;
    }
    #how_it_works .leftbullet-3 svg {
        width: 10%;
        height: 50%;
    }
    .left-top {
        grid-area: lt;
        max-width: 80vw;
        color: #5a5a5a;
    }
    .leftbullet-1 {
        grid-area: lb-1;
        max-width: 80vw;
        color: #5a5a5a;
    }
    .leftbullet-2 {
        grid-area: lb-2;
        max-width: 80vw;
        color: #5a5a5a;
    }
    .leftbullet-3 {
        grid-area: lb-3;
        max-width: 80vw;
        color: #5a5a5a;
    }
    .leftbullet-1 svg,
    .leftbullet-2 svg,
    .leftbullet-3 svg {
        margin-block: 20px !important;
    }
    .right-image {
        grid-area: rt;
        height: 100%;
        min-height: 50vh;
    }

    .how-body {
        display: grid;
        grid-template-areas:
            "lt lt lt"
            "rt rt rt"
            "lb-1 lb-1 lb-1"
            "lb-2 lb-2 lb-2"
            "lb-3 lb-3 lb-3";
        gap: 20px;
        padding-block: 10px;
        padding-inline: 60px !important;
        max-width: 100vw;
        padding-bottom: 150px !important;
        font-size: 110% !important;
    }
    .right-image .small-circle {
        position: absolute;
        left: 9.3%;
        width: 639px;
        height: 639px;
        flex-shrink: 0;
        border-radius: 509px;
        border: 4px dashed #5a5a5a;
    }
    .right-image .big-circle {
        position: absolute;
        left: 0%;
        width: 800px;
        height: 800px;
        flex-shrink: 0;
        border-radius: 600px;
        border: 4px dashed #5a5a5a;
    }
    .right-image .small-circle svg,
    .right-image .big-circle svg {
        width: 10%;
        height: 30%;
    }
    .right-image .small-circle .briefcase {
        right: 10% !important;
        bottom: -5% !important;
    }
    .right-image .big-circle .receipt {
        top: -15% !important;
        right: 30% !important;
    }
    .right-image .big-circle .graph {
        top: 7% !important;
    }
    .right-image .big-circle .pointer {
        top: -7% !important;
    }
    .right-image .big-circle .check {
        bottom: -10% !important;
    }
    .how_img {
        position: absolute;
        right: 5%; /* Start off-screen to the right */
        top: 36%; /* Adjust as needed based on your layout */
        z-index: 100;
        opacity: 0;
        scale: 115%;
        transition: opacity 0.5s, transform 0.5s;
    }

    .how_img img {
        width: 55vw;
        height: auto;
        object-fit: cover;
        border: 4px solid black;
        border-radius: 8px;
    }

    /* Add the following class for animation */
    .active-how {
        opacity: 1;
        transform: translate(0%, 0%);
    }
}

/* Pricing Styles  */
.right-pricing-design {
    position: absolute;
    opacity: 0;
    right: 0;
    top: 40%;
    transition: opacity 0.5s, transform 1s;
}

.left-pricing-design {
    position: absolute;
    opacity: 0;
    left: 0;
    bottom: 80%;
    transition: opacity 0.5s, transform 1s;
}

.heading-line-left {
    position: absolute;
    left: 0;
    top: 50%;
    height: 2px;
    width: 40%;
    background: black;
}
.heading-line-right {
    position: absolute;
    right: 0;
    top: 50%;
    height: 2px;
    width: 40%;
    background: black;
}

.active-price-left {
    opacity: 1;
    transform: translate(0, 200%);
}
.active-price-right {
    opacity: 1;
    transform: translate(0, -50%);
}

.monthly-purchase-btn,
.yearly-purchase-btn {
    background: #00a3ff !important;
    color: white !important;
}

.monthly-purchase-btn:hover {
    background-color: #0273b4 !important;
}

.yearly-purchase-btn:hover {
    background-color: #46bbff !important;
}

.pricing-body .right-box:hover {
    background-color: hsla(202, 100%, 32%, 0.1);
    border-color: #1caafc !important;
}
.pricing-body .left-box {
    background: #0068a3;
    color: white;
    border-radius: 10px;
    min-width: 22vw;
}
.pricing-body .right-box {
    border: 1px solid #0068a3;
    border-radius: 10px;
    min-width: 10vw;
    color: #4d4d4d;
}
.pricing-body .left-box .h2 {
    font-family: pt sans;
}
.pricing-body .left-box .small-line {
    width: 30px;
    height: 1px;
    background: white;
}
.pricing-body .left-box .h4 {
    font-family: source sans;
    font-weight: 600;
}

.pricing-body .right-box .h4 {
    font-family: pt sans;
}
.pricing-body .right-box .small-line {
    width: 30px;
    height: 1px;
    background: #4d4d4d;
}
.pricing-body .right-box .px-2 {
    font-family: source sans !important;
    font-weight: 600 !important;
}
@media screen and (min-width: 0px) and (max-width: 1000px) {
    .active-price-left {
        opacity: 1;
        transform: translate(0, 1%);
    }
    .active-price-right {
        opacity: 1;
        transform: translate(0, 300%);
    }
    #pricing .heading .h1 {
        font-size: 160% !important;
    }
    #pricing .br {
        display: none;
    }
    .heading-line-left {
        left: 7%;
    }
    .heading-line-right {
        right: 7%;
    }
    .heading-line-left,
    .heading-line-right {
        width: 30%;
    }
    .pricing-body .left-box {
        font-size: 150%;
        margin-left: auto;
        margin-right: auto;
        max-width: 90vw;
        border-radius: 30px;
    }
    .pricing-body .left-box .h2 {
        font-size: 150%;
        margin-block: 40px;
    }
    .pricing-body .left-box .small-line {
        width: 70px;
        height: 3px;
        background: white;
        margin-bottom: 40px;
    }
    .pricing-body .left-box .h4 {
        font-size: 120%;
    }
    .pricing-body .left-box .fst-italic {
        font-size: 80%;
    }
    .pricing-body .left-box .bullets,
    .pricing-body .right-box .bullets {
        margin-block: 120px !important;
        margin-inline: auto;
    }
    .pricing-body .left-box .bullets .bullet,
    .pricing-body .right-box .bullets .bullet {
        white-space: nowrap;
        text-align: left;
    }
    .pricing-body .left-box .bullets svg,
    .pricing-body .right-box .bullets svg {
        width: 17% !important;
        height: 30% !important;
    }
    .pricing-body .left-box .yearly-purchase-btn {
        margin-bottom: 120px !important;
        font-size: 95%;
        padding-inline: 100px !important;
    }

    .pricing-body .right-box {
        font-size: 150%;
        margin-left: auto;
        margin-right: auto;
        max-width: 90vw;
        border-radius: 30px;
        border: 3px solid #0068a3;
    }
    .pricing-body .right-box .h4 {
        font-size: 110%;
        margin-block: 40px;
    }
    .pricing-body .right-box .small-line {
        width: 70px;
        height: 3px;
        background: #4d4d4d;
        margin-bottom: 40px;
    }
    .pricing-body .right-box .monthly-purchase-btn {
        margin-bottom: 120px !important;
        font-size: 95%;
        padding-inline: 100px !important;
    }
}

/* Register page  */

#register .heading .h3 {
    color: #2b2e3d;
}
#register .heading .text-center {
    color: #5a5a5a;
    max-width: 50%;
}
#register .heading .blue-line {
    margin-block: 40px;
    width: 100px;
    height: 2px;
    background: #0068a3;
}

#register .register-form-container {
    width: 50%;
}

@media screen and (min-width: 0px) and (max-width: 1000px) {
    #register .heading .h3 {
        color: #2b2e3d;
        font-size: 140%;
    }
    #register .heading .text-center {
        color: #5a5a5a;
        max-width: 90%;
        margin-top: 50px;
    }
    #register .register-form-container {
        width: 90%;
        margin-bottom: 50px;
    }
    #register .heading .blue-line {
        margin-block: 40px;
        width: 200px;
        height: 4px;
        background: #0068a3;
    }

    #register .register-form .form-label {
        font-size: 105%;
    }

    #register .register-form .form-control,
    #register .register-form .form-select {
        font-size: 100%;
        height: 37%;
        margin-bottom: 100px;
        margin-top: 15px;
        border-radius: 15px;
        border-color: #555555;
        padding-left: 20px;
        font-weight: 600;
        color: #555555;
    }
    #register .register-form select::-ms-expand {
        display: none;
    }
    #register .register-form select {
        appearance: none !important;
        -webkit-appearance: none;
        -moz-appearance: none;
        text-indent: 1px;
        text-overflow: "";
    }
    #register .register-form .form-select option {
        font-size: 50% !important;
    }
    #register .register-form button {
        font-size: 120% !important;
        border-radius: 10px !important;
        padding-block: 10px;
    }


}
